# Description

The url() function is used to represent a URL (Uniform Resource Locator).

This function has the form:

    url(url)

In CSS 2.1, the attr function only returns a string and can only be used with the content CSS property.

In CSS 3, functionality was expanded but is still very limited and varies widely between browsers. For example, IE8 and later can only take one argument.

# Arguments

Name | Description
--- | ---
url | Specifies the URL to represent. The URL can be quoted with either two single quote (') or double quote (") characters

# Examples

This example shows how to set a width based upon a length:

    body {
      background:
        url("http://
        www.example.com/
        background.gif")
    }

# Browser Support

Firefox | IE | Chrome | Opera | Safari

# Miscellaneous Information

Defined In: | CSS2.1